%global module_name pycodestyle

Summary:        Python style guide checker
Name:           python-%{module_name}
Version:        2.8.0
Release:        3%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{module_name}
Source0:        %{pypi_source %{module_name}}

BuildArch:      noarch

%description
pycodestyle is a tool to check your Python code against some of the style conventions in PEP 8. It
has a plugin architecture, making new checks easy, and its output is parseable, making it easy to
jump to an error location in your editor.

%package -n python%{python3_pkgversion}-pycodestyle
Summary:    Python style guide checker
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools make
BuildRequires:  python%{python3_pkgversion}-sphinx python%{python3_pkgversion}-sphinx_rtd_theme

%description -n python%{python3_pkgversion}-pycodestyle
pycodestyle is a tool to check your Python code against some of the style conventions in PEP 8. It
has a plugin architecture, making new checks easy, and its output is parseable, making it easy to
jump to an error location in your editor.

This is a version for Python %{python3_pkgversion}.

%prep
%autosetup -n %{module_name}-%{version}

sed --in-place "s:#!\s*/usr.*::" pycodestyle.py

%build
%py3_build
make -C docs man SPHINXBUILD=sphinx-build-%{python3_version}

%install
%py3_install
mv %{buildroot}%{_bindir}/pycodestyle %{buildroot}%{_bindir}/pycodestyle-%{python3_version}
ln -s ./pycodestyle-%{python3_version} %{buildroot}%{_bindir}/pycodestyle-3
ln -s ./pycodestyle-3 %{buildroot}%{_bindir}/pycodestyle

install -D docs/_build/man/%{module_name}.1 %{buildroot}%{_mandir}/man1/%{module_name}.1

%check
%{__python3} pycodestyle.py --max-doc-length=72 --testsuite testsuite
%{__python3} pycodestyle.py --max-doc-length=72 --doctest

%files -n python%{python3_pkgversion}-pycodestyle
%license LICENSE
%doc README.rst CHANGES.txt
%{_bindir}/pycodestyle
%{_bindir}/pycodestyle-3
%{_bindir}/pycodestyle-%{python3_version}
%pycached %{python3_sitelib}/%{module_name}.py
%{python3_sitelib}/%{module_name}-%{version}-*.egg-info/
%{_mandir}/man1/%{module_name}.1.gz

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 2.8.0-1
- initial build
